package Audio;

/**
 * Java Event untuk BassSoundManager
 * @author rdkartono
 *
 */
public interface BassSoundManagerListener {
	void Opened();
	void Closed();
	void WriteFromRTP(int length, byte[] pcmdata);
	void ReadToRTP(int length, byte[] pcmdata);
	void log_info(String msg);
	void log_error(String msg);
	void DeviceFailure(String msg);
	void BufferingInformation(String msg);
	void ChannelLevel(boolean is_input, int value);
}
